package LF::Sentence::Variable;

use Data::Dumper;

use Class::MethodMaker
  new_with_init => 'new',
  get_set       => [ qw / ID Type / ];

sub init {
  my ($self,%args) = @_;
  $self->ID($args{ID});
  $self->Type($args{Type});
}

sub Print {
  my ($self,%args) = @_;
  if ($self->Type eq "item") {
    return "x".($self->ID + 1);
  } elsif ($self->Type eq "event") {
    return "e".($self->ID + 1);
  }
}

1;
